## class: `WyUsersSearch`, `wy-users-search`

User search UI used to find and pick members for apps.

**Used sub components:**

*   [`<wy-search>`](./ui/wy-search)
*   [`<wy-item>`](./ui/wy-item)
*   [`<wy-avatar>`](./ui/wy-avatar)
*   [`<wy-button>`](./ui/wy-button)
*   [`<wy-icon>`](./ui/wy-icon)
*   [`<wy-progress-circular>`](./ui/wy-progress-circular)

### Fields

| Name          | Type                  | Default | Description                                   | Inherited From |
| ------------- | --------------------- | ------- | --------------------------------------------- | -------------- |
| `appId`       | `number \| undefined` |         | App identifier used to scope member searches. |                |
| `buttonTitle` | `string \| undefined` |         | Label for the submit button.                  |                |

### Events

| Name     | Type                          | Description                                      | Inherited From |
| -------- | ----------------------------- | ------------------------------------------------ | -------------- |
| `submit` | `MemberSearchSubmitEventType` | Emitted when the selected members are submitted. |                |

### CSS Parts

| Name                  | Description                              |
| --------------------- | ---------------------------------------- |
| `wy-pane`             | Root pane container.                     |
| `wy-pane-body`        | Body area for content.                   |
| `wy-pane-group`       | Group wrapper inside pane.               |
| `wy-no-result`        | Message shown when there are no results. |
| `wy-footerbar`        | Footer bar container.                    |
| `wy-footerbar-sticky` | Sticky footer modifier.                  |
| `wy-pager`            | Pager container.                         |
| `wy-pager-bottom`     | Pager bottom modifier.                   |

<details><summary>Private API</summary>

### Fields

| Name          | Privacy   | Type | Default                           | Description | Inherited From |
| ------------- | --------- | ---- | --------------------------------- | ----------- | -------------- |
| `exportParts` | protected |      | `new ShadowPartsController(this)` |             |                |

</details>

<hr/>

## Exports

| Kind                        | Name              | Declaration   | Module                            | Package |
| --------------------------- | ----------------- | ------------- | --------------------------------- | ------- |
| `js`                        | `WyUsersSearch`   | WyUsersSearch | lib/components/wy-users-search.ts |         |
| `custom-element-definition` | `wy-users-search` | WyUsersSearch | lib/components/wy-users-search.ts |         |
